Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::SimpleView Struct Reference

## Public Member Functions
template<typename Rng >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< concepts::View, Rng >() &&concepts::model_of< concepts::Range, Rng const >() &&concepts::model_of< concepts::Same, iterator_t< Rng >, iterator_t< Rng const >>() &&concepts::model_of< concepts::Same, sentinel_t< Rng >, sentinel_t< Rng const >>()))